package osc.petra.dataModel;

import java.util.HashMap;
import java.util.Iterator;

public class Allotjament {
	
	public static final String NO_DATA = "-";
	
	private String tipus;
	private String nom;
	private GPS localitzacioGPS;
	private String acces;
	private String adreca;
	private String poblacio;
	private String telefon;
	private String mail;
	private HashMap<String, String> serveis;
	
	
	public Allotjament(String tipus, String nom, GPS localitzacioGPS,String acces, String adreca, String poblacio, String telefon, String mail) {
		this.tipus = tipus;
		this.nom = nom;
		this.localitzacioGPS = localitzacioGPS;
		this.acces = acces;
		this.adreca = adreca;
		this.poblacio = poblacio;
		this.telefon = telefon;
		this.mail = mail;
		this.serveis = new HashMap<String, String>();
	}
	
	
	public void addServei(String nom, String valor){
		this.serveis.put(nom, valor);
	}
	
	public String getServei(String nom){
		return this.serveis.get(nom);
	}
	
	public Iterator<String> getNomsServeis(){
		return this.serveis.keySet().iterator();
	}


	public String getTipus() {
		return tipus;
	}


	public String getNom() {
		return nom;
	}


	public GPS getLocalitzacioGPS() {
		return localitzacioGPS;
	}


	public String getAcces() {
		return acces;
	}


	public String getAdreca() {
		return adreca;
	}


	public String getPoblacio() {
		return poblacio;
	}


	public String getTelefon() {
		return telefon;
	}


	public String getMail() {
		return mail;
	}
}
