package osc.petra.dataModel;

import java.util.ArrayList;
import java.util.List;

public class GenericSpace<S> {
	private String name;
	private List<S> componentList;
	
	public GenericSpace(String name){
		this.name = name;
		this.componentList = new ArrayList<S>();
	}
	
	
	public String getName() {
		return name;
	}
	
	
	public S getComponent(int index) {
		return componentList.get(index);
	}

	public void addComponent(S component) {
		this.componentList.add(component);
	}

	public int componentNumber(){
		return this.componentList.size();
	}
	
}
