package osc.petra.dataModel;

import java.util.ArrayList;
import java.util.List;

import android.graphics.drawable.Drawable;

public class Via {
	private String nom;
	private String paret;
	private String zona;
	private String sector;
	private String dificultatM;
	private String dificultatO;
	private int metres;
	private int llargs;
	private String escalada;
	private String tipus;
	private String orientacio;
	private String roca;
	private String aproximacio;
	private String descens;
	private GPS localitzacioGPS;
	private List<String> equipament;
	private List<String> material;
	private Drawable esquema;
	private String urlEsquema;
	private List<String> links;
	private Parquing parquing;
	private List<Allotjament> allotjaments;
	
	private boolean carregada;
	
	public Via(String zona, String sector, String paret, String nom, String dificultatM, String dificultatO, int metres) {
		this.zona = zona;
		this.sector = sector;
		this.paret = paret;
		this.nom = nom;
		this.dificultatM = dificultatM;
		this.dificultatO = dificultatO;
		this.metres = metres;
		this.carregada = false;
		this.equipament = new ArrayList<String>();
		this.material = new ArrayList<String>();
		this.links = new ArrayList<String>();
		this.allotjaments = new ArrayList<Allotjament>();
	}

	public boolean isCarregada() {
		return carregada;
	}

	public void setCarregada(boolean carregada) {
		this.carregada = carregada;
	}
	
	public void addEquipament(String equipament){
		this.equipament.add(equipament);
	}
	
	public int equipamentNumber(){
		return this.equipament.size();
	}
	
	public String getEquipament(int index){
		return this.equipament.get(index);
	}
	
	public void addMaterial(String material){
		this.material.add(material);
	}
	
	public int materialNumber(){
		return this.material.size();
	}
	
	public String getMaterial(int index){
		return this.material.get(index);
	}
	
	public void addLink(String link){
		this.links.add(link);
	}
	
	public int linksNumber(){
		return this.links.size();
	}
	
	public String getLink(int index){
		return this.links.get(index);
	}
	
	public void addAllotjament(Allotjament allotjament){
		this.allotjaments.add(allotjament);
	}
	
	public int allotjamentsNumber(){
		return this.allotjaments.size();
	}
	
	public Allotjament getAllotjament(int index){
		return this.allotjaments.get(index);
	}

	public String getNom() {
		return nom;
	}

	public String getParet() {
		return paret;
	}

	public String getZona() {
		return zona;
	}

	public String getSector() {
		return sector;
	}

	public String getDificultatM() {
		return dificultatM;
	}

	public String getDificultatO() {
		return dificultatO;
	}

	public int getMetres() {
		return metres;
	}

	public int getLlargs() {
		return llargs;
	}

	public String getEscalada() {
		return escalada;
	}

	public String getTipus() {
		return tipus;
	}

	public String getOrientacio() {
		return orientacio;
	}

	public String getRoca() {
		return roca;
	}

	public String getAproximacio() {
		return aproximacio;
	}

	public String getDescens() {
		return descens;
	}

	public GPS getLocalitzacioGPS() {
		return localitzacioGPS;
	}

	public Drawable getEsquema() {
		return esquema;
	}
	
	public String getUrlEsquema(){
		return this.urlEsquema;
	}

	public Parquing getParquing() {
		return parquing;
	}

	public void setLlargs(int llargs) {
		this.llargs = llargs;
	}

	public void setEscalada(String escalada) {
		this.escalada = escalada;
	}

	public void setTipus(String tipus) {
		this.tipus = tipus;
	}

	public void setOrientacio(String orientacio) {
		this.orientacio = orientacio;
	}

	public void setRoca(String roca) {
		this.roca = roca;
	}

	public void setAproximacio(String aproximacio) {
		this.aproximacio = aproximacio;
	}

	public void setDescens(String descens) {
		this.descens = descens;
	}

	public void setLocalitzacioGPS(GPS localitzacioGPS) {
		this.localitzacioGPS = localitzacioGPS;
	}

	public void setEsquema(Drawable esquema) {
		this.esquema = esquema;
	}
	
	public void setUrlEsquema(String url){
		this.urlEsquema = url;
	}

	public void setParquing(Parquing parquing) {
		this.parquing = parquing;
	}
}
