package osc.petra.logic;

import osc.petra.dataModel.GPS;

public class QueryGPS extends Query {
	public static final double metreLatitud  = 0.0000091;
	public static final double metreLongitud = 0.000012;
	
	private GPS punt;
	private double radi;
	
	
	public void addArea(GPS punt, double radi){
		this.punt = punt;
		this.radi = (radi<0)?(-radi):radi;
	}


	/**
	 * @return the punt
	 */
	public GPS getPunt() {
		return punt;
	}


	/**
	 * @return the radi
	 */
	public double getRadi() {
		return radi;
	}
	
	
	public double[] getRangLatitud(){
		double[] rang = new double[2];
		
		double metres = this.radi*metreLatitud;
		rang[0] = this.punt.getLatitud() - metres;
		rang[1] = this.punt.getLatitud() + metres;
		
		return rang;
	}
	
	
	public double[] getRangLongitud(){
		double[] rang = new double[2];
		
		double metres = this.radi*metreLongitud;
		rang[0] = this.punt.getLongitud() - metres;
		rang[1] = this.punt.getLongitud() + metres;
		
		return rang;
	}
}
