package osc.petra.view;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import osc.petra.R;
import osc.petra.dataModel.Allotjament;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class AllotjamentListAdapter extends BaseAdapter {
	
	private List<Allotjament> allotjaments;
	private Context context;
	
	public AllotjamentListAdapter(Context context){
		this.allotjaments = new ArrayList<Allotjament>();
		this.context = context;
	}
	
	public void addAllotjament(Allotjament allotjament){
		this.allotjaments.add(allotjament);
	}
	
	@Override
	public int getCount() {
		return this.allotjaments.size();
	}

	@Override
	public Object getItem(int index) {
		return this.allotjaments.get(index);
	}

	@Override
	public long getItemId(int index) {
		return index;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		if(convertView == null){
			LayoutInflater inflater = (LayoutInflater)this.context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			convertView = inflater.inflate(R.layout.child_allotjament, null);
		}
		
		TextView tipus    = (TextView)convertView.findViewById(R.id.tipusAllotjament);
		TextView nom      = (TextView)convertView.findViewById(R.id.nomAllotjament);
		TextView longitud = (TextView)convertView.findViewById(R.id.longitudAllotjament);
		TextView latitud  = (TextView)convertView.findViewById(R.id.latitudAllotjament);
		TextView poblacio = (TextView)convertView.findViewById(R.id.poblacioAllotjament);
		TextView acces    = (TextView)convertView.findViewById(R.id.accesAllotjament);
		TextView serveis  = (TextView)convertView.findViewById(R.id.serveisAllotjament);
		TextView mail     = (TextView)convertView.findViewById(R.id.mailAllotjament);
		TextView telefon  = (TextView)convertView.findViewById(R.id.telefonAllotjament);
		
		Allotjament a = (Allotjament)this.getItem(position);
		
		tipus.setText(a.getTipus());
		nom.setText(a.getNom());
		longitud.setText(""+a.getLocalitzacioGPS().getLongitud());
		latitud.setText(""+a.getLocalitzacioGPS().getLatitud());
		poblacio.setText(a.getPoblacio());
		acces.setText(a.getAcces());
		mail.setText(a.getMail());
		telefon.setText(a.getTelefon());
		
		Iterator<String> serv = a.getNomsServeis();
		while(serv.hasNext()){
			String s = serv.next();
			s += ":\t" + a.getServei(s)+"\n";
			serveis.append(s);
		}
		
		return convertView;
	}

}
