package osc.petra.view;

import osc.petra.R;
import osc.petra.dataModel.GPS;
import osc.petra.logic.QueryGPS;
import android.content.Context;
import android.content.Intent;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class GpsActivity extends PetraBaseActivity {
	
	private TextView latitud;
	private TextView longitud;
	private Button bSeguent;
	private EditText editRadi;
	private LocationManager locManager;
	private LocationListener locListener;
	
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.gps_activity);
        
        ((PetraApplication)this.getApplication()).addActivity(this);
        
        this.latitud  =  (TextView)this.findViewById(R.id.textViewLatitud);
        this.longitud =  (TextView)this.findViewById(R.id.textViewLongitud);
        this.editRadi =  (EditText)this.findViewById(R.id.editTextRadi);
        this.bSeguent =  (Button)this.findViewById(R.id.buttonSeguent);
        
        
        QueryGPS query = (QueryGPS)this.getProgramControl().getQuery();
        this.latitud.setText(""+query.getPunt().getLatitud());
        this.longitud.setText(""+query.getPunt().getLongitud());
        this.editRadi.setText(""+query.getRadi());
        
        this.bSeguent.setOnClickListener(new OnClickListener(){
			@Override
			public void onClick(View view) {
				GpsActivity.this.actionSeguent();
			}
        });
        
    }
    
    
    @Override
    protected void onResume(){
    	super.onResume();
    	this.startGPS();
    }
    
    
	private void startGPS() {
		this.locManager = (LocationManager)getSystemService(Context.LOCATION_SERVICE);
		this.locListener = new LocationListener(){

			@Override
			public void onLocationChanged(Location location) {
				GpsActivity.this.latitud.setText(""+location.getLatitude());
				GpsActivity.this.longitud.setText(""+location.getLongitude());
			}

			@Override
			public void onProviderDisabled(String provider) {}

			@Override
			public void onProviderEnabled(String provider) {}

			@Override
			public void onStatusChanged(String arg0, int arg1, Bundle arg2) {}
        	
        };
		
		
        this.locManager.requestLocationUpdates(LocationManager.GPS_PROVIDER, 0, 0, this.locListener);
	}
	
	
	@Override
	protected void onPause(){
		super.onPause();
		this.locManager.removeUpdates(this.locListener);
	}


	protected void actionSeguent() {
		QueryGPS query = (QueryGPS)this.getProgramControl().getQuery();
		double lat = Double.parseDouble(this.latitud.getText().toString());
		double lon = Double.parseDouble(this.longitud.getText().toString());
		double rad = 0;
		try{
			rad = Double.parseDouble(this.editRadi.getText().toString());
		}catch(Exception e){
			Toast.makeText(this, "El radi ha de ser un número.", 2000).show();
			return;
		}
		
		query.addArea(new GPS(lat, lon), rad);
		Intent intent = new Intent(this, ParametersQueryActivity.class);
		this.startActivity(intent);
	}
}
