package osc.petra.view;

import java.util.ArrayList;
import java.util.List;

import osc.petra.R;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

public class LinkListAdapter extends BaseAdapter {
	
	private List<String> links;
	private Context context;
	
	public LinkListAdapter(Context context){
		this.links = new ArrayList<String>();
		this.context = context;
	}
	
	public void addLink(String link){
		this.links.add(link);
	}
	
	@Override
	public int getCount() {
		return this.links.size();
	}

	@Override
	public Object getItem(int indexItem) {
		return this.links.get(indexItem);
	}

	@Override
	public long getItemId(int indexItem) {
		return indexItem;
	}

	@Override
	public View getView(int indexItem, View convertView, ViewGroup parent) {
		if(convertView==null){
			LayoutInflater inflater = (LayoutInflater)this.context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			convertView = inflater.inflate(R.layout.child_link, null);
		}
		
		TextView tv = (TextView)convertView.findViewById(R.id.textView);
		tv.setText((String)this.getItem(indexItem));
		
		convertView.getBackground().setAlpha(25);
		
		return convertView;
	}

}
