package osc.petra.view;

import osc.petra.R;
import osc.petra.dataModel.GPS;
import osc.petra.logic.ProgramControlInterface;
import android.content.Context;
import android.content.Intent;
import android.location.Location;
import android.location.LocationManager;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;

public class MainActivity extends PetraBaseActivity {
	
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        ((PetraApplication)this.getApplication()).addActivity(this);
        
        Button buttonTot = (Button)this.findViewById(R.id.mainButtonTot);
        Button buttonZS  = (Button)this.findViewById(R.id.mainButtonZonaSector);
        Button buttonGPS = (Button)this.findViewById(R.id.mainButtonGPS);
        Button buttonMap = (Button)this.findViewById(R.id.mainButtonMap);
        
        buttonTot.setOnClickListener(new OnClickListener(){
			@Override
			public void onClick(View view) {
				MainActivity.this.actionTot();
			}
        });
        
        
        buttonZS.setOnClickListener(new OnClickListener(){
			@Override
			public void onClick(View view) {
				MainActivity.this.actionZonaSector();
			}
        });
        
        
        
        buttonGPS.setOnClickListener(new OnClickListener(){
			@Override
			public void onClick(View view) {
				MainActivity.this.actionGPS();
			}
        });
        
        
        
        buttonMap.setOnClickListener(new OnClickListener(){
			@Override
			public void onClick(View view) {
				MainActivity.this.actionMap();
			}
        });
    }
    
    

	protected void actionTot() {
		ProgramControlInterface pc = this.getProgramControl();
		pc.newQuery(true);
		Intent intent = new Intent(this, ParametersQueryActivity.class);
		this.startActivity(intent);
	}

	
	
	protected void actionGPS() {
		LocationManager locManager = (LocationManager)getSystemService(Context.LOCATION_SERVICE);
        boolean isActivatGPS = locManager.isProviderEnabled(LocationManager.GPS_PROVIDER);
        Location location = locManager.getLastKnownLocation(LocationManager.GPS_PROVIDER);
        if(isActivatGPS){
        	GPS gps = null;
        	if(location!=null) gps = new GPS(location.getLatitude(), location.getLongitude());
        	else gps = new GPS(0, 0);
        	ProgramControlInterface pc = this.getProgramControl();
        	pc.newQuery(gps, 50000);
        	Intent intent = new Intent(this, GpsActivity.class);
        	this.startActivity(intent);
        }else{
        	this.exceptionAction(this.getString(R.string.noGPS));
        }
			
	}

	

	protected void actionMap() {
		Toast.makeText(this, "Cerca segons posició al mapa.\nNo implementat.", 2000).show();
	}

	protected void actionZonaSector() {
		Intent intent = new Intent(this, ZonaListActivity.class);
		this.startActivity(intent);
	}
}