package osc.petra.view;

import java.util.ArrayList;
import java.util.List;

import osc.petra.logic.ProgramControl;
import osc.petra.logic.ProgramControlInterface;
import android.app.Application;

public class PetraApplication extends Application {
	
	private ProgramControlInterface programControl;
	private List<PetraBaseActivity> activityList;
	
    
	
	@Override
	public void onCreate(){
		super.onCreate();
		this.programControl = new ProgramControl();
		this.activityList = new ArrayList<PetraBaseActivity>();
	}
	
	
	public ProgramControlInterface getProgramControl(){
		return this.programControl;
	}
	
	
	public void addActivity(PetraBaseActivity activity){
    	this.activityList.add(activity);
    }
    
    
    public void finishAllActivities(PetraBaseActivity activity){
    	for(PetraBaseActivity a : this.activityList){
    		if(!a.equals(activity)) a.finish();
    	}
    	this.activityList.clear();
    }
    
}
