package osc.petra.view;

import osc.petra.R;
import osc.petra.logic.ProgramControlInterface;
import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.DialogInterface.OnClickListener;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;

public class PetraBaseActivity extends Activity {
	
	public ProgramControlInterface getProgramControl(){
		PetraApplication app = (PetraApplication)this.getApplication();
		return app.getProgramControl();
	}
	
	
	@Override
	public boolean onCreateOptionsMenu(Menu menu){
		MenuInflater inflater = this.getMenuInflater();
		inflater.inflate(R.menu.menu, menu);
		
		return true;
	}
	
	
	
	@Override
	public boolean onOptionsItemSelected(MenuItem item){
		switch(item.getItemId()){
		case R.id.novaConsulta:
			((PetraApplication)this.getApplication()).finishAllActivities(this);
			Intent intentC = new Intent(this, MainActivity.class);
			this.startActivity(intentC);
			this.finish();
			return true;
			
		case R.id.about:
			Intent intentA = new Intent(this, AboutActivity.class);
			this.startActivity(intentA);
			return true;
			
		default:
			return super.onOptionsItemSelected(item);	
		}
	}
	
	public void exceptionAction(final String e){
		final AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setCancelable(false);
		builder.setMessage(e);
		builder.setTitle("Impossible continuar...");
		builder.setNeutralButton("Ok", new OnClickListener(){
			@Override
			public void onClick(DialogInterface dialog, int arg1) {
				dialog.cancel();
				Intent intent = new Intent(PetraBaseActivity.this, MainActivity.class);
				PetraBaseActivity.this.startActivity(intent);
				PetraBaseActivity.this.finish();
			}
		});
		

		this.runOnUiThread(new Runnable(){
			@Override
			public void run() {
				AlertDialog dialog = builder.create();
				dialog.show();
			}
		});
		PetraApplication app = (PetraApplication)this.getApplication();
		app.finishAllActivities(this);
	}
	
	
	public boolean hasConnection(){
		boolean connection = false;
		
		ConnectivityManager connec =  (ConnectivityManager)getSystemService(Context.CONNECTIVITY_SERVICE);
		NetworkInfo[] info = connec.getAllNetworkInfo();
		for(int i=0; i<info.length && !connection; i++){
			connection = info[i].isConnected();
		}
		
		return connection;
	}
}
