package osc.petra.view;

import java.util.ArrayList;
import java.util.List;

import osc.petra.R;
import osc.petra.dataModel.Via;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseExpandableListAdapter;
import android.widget.TextView;

public class ViaListAdapter extends BaseExpandableListAdapter {

	private Context context;
	private List<List<Via>> childVies;
	private List<String> groupZonaSector;
	

	public ViaListAdapter(Context context) {
		this.context = context;
		this.groupZonaSector = new ArrayList<String>();
		this.childVies = new ArrayList<List<Via>>();
	}
	
	
	public void addViesSector(String zs, List<Via> vies) {
		this.groupZonaSector.add(zs);
		this.childVies.add(vies);
	}

	@Override
	public Object getChild(int indexGroup, int indexChild) {
		return this.childVies.get(indexGroup).get(indexChild);
	}

	@Override
	public long getChildId(int indexGroup, int indexChild) {
		return -1;
	}

	@Override
	public View getChildView(int indexGroup, int indexChild, boolean isLastChild, View convertView, ViewGroup parent) {
		if(convertView==null){
			LayoutInflater inflater = (LayoutInflater)this.context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			convertView = inflater.inflate(R.layout.child_via, null);
		}
		
		Via via = (Via)this.getChild(indexGroup, indexChild);
		
		TextView tvVia = (TextView)convertView.findViewById(R.id.textViewVia);
		TextView tvDM  = (TextView)convertView.findViewById(R.id.textViewDM);
		TextView tvDMO = (TextView)convertView.findViewById(R.id.textViewDMO);
		
		String v  = via.getParet() + " - " + via.getNom() + " (" + via.getMetres() + " m)";
		String dm = "DM:  " + via.getDificultatM();
		String dmo= "DMO: " + via.getDificultatO();
		
		tvVia.setText(v);
		tvDM.setText(dm);
		tvDMO.setText(dmo);
		
		convertView.getBackground().setAlpha(25);
		
		return convertView;
	}

	@Override
	public int getChildrenCount(int indexGroup) {
		return this.childVies.get(indexGroup).size();
	}

	@Override
	public Object getGroup(int indexGroup) {
		return this.groupZonaSector.get(indexGroup);
	}

	@Override
	public int getGroupCount() {
		return this.groupZonaSector.size();
	}

	@Override
	public long getGroupId(int indexGroup) {
		return -1;
	}

	@Override
	public View getGroupView(int indexGroup, boolean isExpanded, View convertView, ViewGroup parent) {
		if(convertView == null){
			LayoutInflater inflater = (LayoutInflater)this.context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			convertView = inflater.inflate(R.layout.group, null);
		}
		
		TextView tv = (TextView)convertView.findViewById(R.id.textView);
		String s = (String)this.getGroup(indexGroup);
		tv.setText(s);
		
		convertView.getBackground().setAlpha(25);
		
		return convertView;
	}

	@Override
	public boolean hasStableIds() {
		return true;
	}

	@Override
	public boolean isChildSelectable(int indexGroup, int indexChild) {
		return true;
	}

}
