package osc.petra.view;

import java.util.ArrayList;
import java.util.List;

import osc.petra.R;

import android.content.Context;
import android.graphics.Color;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseExpandableListAdapter;
import android.widget.TextView;

public class ZonaListAdapter extends BaseExpandableListAdapter {
	
	private List<String> groupZona;
	private List<List<String>> childSector;
	private List<boolean[]> childSelected;
	private Context context;
	
	
	public ZonaListAdapter(Context context){
		super();
		this.groupZona = new ArrayList<String>();
		this.childSector = new ArrayList<List<String>>();
		this.childSelected = new ArrayList<boolean[]>();
		this.context = context;
	}
	
	
	public void addZonaSectors(String zona, List<String> sectors){
		this.groupZona.add(zona);
		this.childSector.add(sectors);
		boolean[] selected = new boolean[sectors.size()];
		for(int i=0; i<selected.length; i++) selected[i] = false;
		this.childSelected.add(selected);
	}
	
	
	public void chageStateSector(int indexZona, int indexSector){
		this.childSelected.get(indexZona)[indexSector] = !this.childSelected.get(indexZona)[indexSector];
	}
	
	
	public boolean isSelectedSector(int indexZona, int indexSector){
		return this.childSelected.get(indexZona)[indexSector];
	}
	
	
	public List<String> getSelectedSectors(int indexZona){
		ArrayList<String> sectors = new ArrayList<String>();
		
		boolean[] sel = this.childSelected.get(indexZona);
		for(int i=0; i<sel.length; i++){
			if(sel[i]) sectors.add((String)this.getChild(indexZona, i));
		}
		
		return sectors;
	}
	
	
	@Override
	public Object getChild(int indexGroup, int indexChild) {
		return this.childSector.get(indexGroup).get(indexChild);
	}

	@Override
	public long getChildId(int indexGroup, int indexChild) {
		return -1;
	}

	@Override
	public View getChildView(int indexGroup, int indexChild, boolean isLastChild, View convertView, ViewGroup parent) {
		if(convertView==null){
			LayoutInflater inflater = (LayoutInflater)this.context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			convertView = inflater.inflate(R.layout.child_sector, null);
		}
		
		String child = (String)this.getChild(indexGroup, indexChild);;
		
		TextView tv = (TextView)convertView.findViewById(R.id.textView);
		tv.setText(child);
		
		if(this.isSelectedSector(indexGroup, indexChild)) tv.setTextColor(Color.GREEN);
		else tv.setTextColor(Color.WHITE);
		
		convertView.getBackground().setAlpha(25);
		
		return convertView;
	}

	@Override
	public int getChildrenCount(int indexGroup) {
		return this.childSector.get(indexGroup).size();
	}

	@Override
	public Object getGroup(int indexGroup) {
		return this.groupZona.get(indexGroup);
	}

	@Override
	public int getGroupCount() {
		return this.groupZona.size();
	}

	@Override
	public long getGroupId(int indexGroup) {
		return -1;
	}

	@Override
	public View getGroupView(int indexGroup, boolean isExpanded, View convertView, ViewGroup parent) {
		if(convertView==null){
			LayoutInflater inflater = (LayoutInflater) this.context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			convertView = inflater.inflate(R.layout.group, null);
		}
		
		String group = (String)this.getGroup(indexGroup);
		TextView tv = (TextView)convertView.findViewById(R.id.textView);
		tv.setText(group);
		
		convertView.getBackground().setAlpha(25);
		
		return convertView;
	}

	@Override
	public boolean hasStableIds() {
		return true;
	}

	@Override
	public boolean isChildSelectable(int indexGroup, int indexChild) {
		return true;
	}

}
